# $Revision: 1.11 $, $Date: 2004/03/28 17:37:33 $
Summary:	Fast Forward (TCP and UDP) Proxy for Linux
Summary(pl):	Fast Forward - proxy TCP i UDP dla Linuksa
Name:		fastforward
Version:	1.00
Release:	5
License:	LGPL
Group:		Networking/Daemons
Source0:	http://open.nit.ca/download/%{name}-%{version}.tar.gz
# Source0-md5:	62dc7241eee4c3538d4a242be2aea435
Patch0:		%{name}-opt.patch
Patch1:		%{name}-includes.patch
Patch2:		%{name}-types.patch
Patch3:		%{name}-gcc3.patch
URL:		http://open.nit.ca/fastforward/
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Fast Forward belongs to a class of programs known as proxy servers.
Its job is to accept TCP or UDP connections on one address and port,
and forward them off to some other address and port. There are lots of
programs around that do this, but Fast Forward provides simplified
configuration, uses less memory, and is generally faster than any
other solution we know of. It uses zero-forking technology to keep its
resource usage to a minimum while still running faster than most other
proxies.

%description -l pl
Fast Forward naley do grupy programw znanych jako serwery proxy.
Jego zadanie to przyjmowanie pocze TCP lub UDP na jednym adresie i
porcie oraz przekazywanie ich na inny adres i port. Jest wiele
programw realizujcych to samo zadanie, ale Fast Forward ma
uproszczon konfiguracj, uywa mao pamici i jest szybszy. Nie
forkuje si, aby zminimalizowa zuycie zasobw.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%{__make} \
	CXX="%{__cxx}" \
	COPTS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_sbindir}

install fastforward/fastforward $RPM_BUILD_ROOT%{_sbindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_sbindir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: fastforward.spec,v $
Revision 1.11  2004/03/28 17:37:33  qboosh
- added gcc3 patch, release 5 for Ac

Revision 1.10  2003/05/26 16:24:57  malekith
- massive attack: adding Source-md5

Revision 1.9  2003/05/25 05:47:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2002/08/29 13:41:34  mwinkler
- updated URL

Revision 1.7  2002/08/29 12:18:17  qboosh
- fixed build on 64-bit archs, new %%doc, release 3

Revision 1.6  2002/04/25 16:17:21  arturs
fixed a small typo

Revision 1.5  2002/02/22 23:28:50  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.4  2002/01/18 20:48:16  kloczek
- release 2.

Revision 1.3  2002/01/18 20:09:59  qboosh
- BuildRequires: gcc-c++

Revision 1.2  2002/01/18 14:29:24  kloczek
- cosmetics.

Revision 1.1  2002/01/18 12:13:11  qboosh
- new spec: TCP and UDP forwarder
